## pysmarty2 0.10.2

=== requirements.txt ===
pymodbus>=3.6.9,<4.0.0

=== debian/changelog ===
pysmarty2 (0.10.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 30 Jun 2025 17:14:00 +0100

pysmarty2 (0.10.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1107822)

 -- Edward Betts <edward@4angle.com>  Sun, 15 Jun 2025 09:51:24 +0100

=== debian/control ===
Source: pysmarty2
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Build-Depends-Indep:
 python3-pymodbus <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/martinssipenko/pysmarty2
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pysmarty2
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pysmarty2.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pysmarty2
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python API for Salda Smarty Modbus TCP
 This library provides a Python interface for controlling Salda Smarty
 ventilation units via the Modbus TCP protocol. It facilitates communication
 with models in the Smarty 2X, 3X, and 4X series, enabling access to a wide
 range of functionalities offered by these units. Users can manage various
 aspects of the ventilation system, such as airflow rates and system status,
 through straightforward API calls.

## pysmarty2 0.10.3

=== requirements.txt ===
pymodbus>=3.11.0,<4.0.0

=== debian/changelog ===
pysmarty2 (0.10.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 10 Sep 2025 07:37:03 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Rules-Requires-Root: no
 Build-Depends-Indep:
  python3-pymodbus <!nocheck>,
 Standards-Version: 4.7.2

=== debian/watch ===
version=4
https://github.com/martinssipenko/pysmarty2/tags .*/v?(\d\S+)\.tar\.gz
